<?php

$sonicx_basePath = dirname(__FILE__) . '/../';
require_once $sonicx_basePath . 'includes/constant.php';
require_once $sonicx_basePath . 'includes/website.php';
require_once $sonicx_basePath . 'includes/CacheManager.php';

use Sonicx\Core\Website\Website;
use Sonicx\Core\Cache\Cache;
use Sonicx\Core\Context\Context;


function register_account_activation_hook()
{
    register_rest_route('sonicx/api/v1/account', '/activation', array(
        'methods' => 'POST',
        'callback' => 'save_website_setting',
    ));
}

function register_account_deactivation_hook()
{
    register_deactivation_hook( __FILE__, 'sonicx_deactivate_website' );
}


function save_website_setting($request) {
    $data = $request->get_json_params();
    $websiteId = $data[SONICX_WEBSITE_ID_KEY];
    $websiteSecret = $data[SONICX_WEBSITE_SECRET_KEY];
    register_setting( SONICX_OPTION_GROUP, SONICX_WEBSITE_ID_OPTION_KEY);
    register_setting( SONICX_OPTION_GROUP, SONICX_WEBSITE_SECRET_OPTION_KEY);
    update_option(SONICX_WEBSITE_ID_OPTION_KEY, $websiteId);
    update_option(SONICX_WEBSITE_SECRET_OPTION_KEY, $websiteSecret);
}

function leospeed_deactivate_website() {
    $website = new Website();
    $website->deactivateWebsite();
    $cronWebhookName = 'leospeed_system_task_hook';
    if ( ! wp_next_scheduled( $cronWebhookName ) ) {
        $timestamp = wp_next_scheduled( $cronWebhookName );
        wp_unschedule_event( $timestamp, $cronWebhookName );
    }
}

function leospeed_activate_website() {
    $website = new Website();
    $website->activateWebsite();
    $cronWebhookName = 'leospeed_system_task_hook';
    if ( ! wp_next_scheduled( $cronWebhookName ) ) {
        wp_schedule_event( time(), 'hourly', $cronWebhookName );
    }
}

function leospeed_uninstall_website() {
    $url = "";
    $cache = new Cache();
    $success = $cache->purgeCacheLocalCache($url);
    $website = new Website();
    $website->deactivateWebsite();
    Context::getContext()->deleteConfiguration();
    $cronWebhookName = 'leospeed_system_task_hook';
    if ( ! wp_next_scheduled( $cronWebhookName ) ) {
        $timestamp = wp_next_scheduled( $cronWebhookName );
        wp_unschedule_event( $timestamp, $cronWebhookName );
    }
}

function leospeed_system_task () {
    $cache = new Cache();
    $cache->synchronizeCache();
}
