<?php

define('SONICX_BACKEND_BASE', "https://api.engine.lamborghini.botos.dev/");
define('SONICX_WEBSITE_ID_OPTION_KEY', 'sonicx-websiteId');
define('SONICX_WEBSITE_SECRET_OPTION_KEY', 'sonicx-websiteSecret');

define( 'SONICX_ADMIN_SETTING_CSS_PATH_KEY', 'sonicx_admin_setting_css' );
define( 'SONICX_ANGULAR_MATERIAL_CSS_PATH_KEY', 'sonicx_angular_material_css' );

define('SONICX_REQUEST_URI_KEY', 'REQUEST_URI');
define('SONICX_URL_KEY', 'url');
define('SONICX_WARM_UP_REQUEST_HEADER', 'HTTP_X_SONICX_WARMUP');
define( 'SONICX_POST_REQUEST_METHOD', 'POST' );
define( 'SONICX_DELETE_REQUEST_METHOD', 'DELETE' );
define( 'SONICX_POST_JSON_KEY', 'json' );
define( 'SONICX_REQUEST_HEADERS_KEY', 'headers' );
define( 'SONICX_CONTENT_TYPE_KEY', 'Content-Type' );
define( 'SONICX_CONTENT_TYPE_APPLICATION_JSON', 'application/json' );
define( 'SONICX_TIMEOUT_KEY', 'timeout' );
define( 'SONICX_TIMEOUT', 3 );
define( 'SONICX_OPTION_GROUP', 'sonicx');
define('SONICX_WEBSITE_DEACTIVATE_URL', SONICX_BACKEND_BASE . 'website/activation/');

function sonicx_trailing_slash($string)
{
    return rtrim($string, '/\\') . '/';
}

define('SONICX_CACHE_PATH', sonicx_trailing_slash(WP_CONTENT_DIR) . 'sonicx');
define('SONICX_WEBSITE_URL_KEY', 'url');
define('SONICX_ACTIVITY_ID_KEY', 'activityId');
define('SONICX_CACHE_CLEAN_ACTION_TYPE', 'cacheCleanActionType');
define('SONICX_WEBPAGE_ID_KEY', 'webpageId');
define('SONICX_WEBSITE_OPTIMIZED_URL_KEY', 'optimizedUrl');
define('SONICX_WEBSITE_OPTIMIZED_BODY_KEY', 'body');
define('SONICX_CACHE_FOLDER_DELIMITER', '/');
define('SONICX_CACHE_FOLDER_PERMISSION', 0755);
define('SONICX_CACHE_SITE_NAME', 'site');
define('SONICX_CACHE_MOBILE_SITE_NAME', 'mobile');
define('SONICX_CACHE_SITE_HTML_EXTENSION', '.html');
define('SONICX_CACHE_SITE_HTML_COMPRESSED_EXTENSION', '.gzip');
define('SONICX_CACHE_EXPIRY_HEADER_KEY', 'x-sonicx-expires');
define('SONICX_CACHE_TTL_KEY', 'sonicx-cache-ttl');
define('SONICX_WEBSITE_ACTIVITY_PURGE_URL', SONICX_BACKEND_BASE . 'webpage/');
define('SONICX_WEBSITE_OPTIMIZATION_URL', SONICX_BACKEND_BASE . 'webpage/warm-up/');
define('SONICX_WEBSITE_OPTIMIZATION_BULK_URL', SONICX_BACKEND_BASE . 'webpage/warm-up/bulk/');
define('SONICX_WEBPAGE_CACHE_URL', SONICX_BACKEND_BASE . 'webpage/cache/');

define('SONICX_ACCOUNT_ACTIVATION_URL', SONICX_BACKEND_BASE . 'website/activation/');
define('SONICX_WEBSITE_ACTIVITY_URL', SONICX_BACKEND_BASE . 'website/activity/');
define('SONICX_WEBPAGE_URL', SONICX_BACKEND_BASE . 'webpage/');
define('SONICX_WEBSITE_PLAN_URL', SONICX_BACKEND_BASE . 'website/plan/');
define('SONICX_ACCOUNT_ACTIVATION_CALLBACK_ENDPOINT', '/wp-json/sonicx/api/v1/account/activation/');
define('SONICX_CACHE_PURGE_ENDPOINT', '/wp-json/sonicx/api/v1/cache/');
define('SONICX_WEBSITE_URL', SONICX_BACKEND_BASE . 'website/');

define('SONICX_WEBSITE_ID_KEY', 'websiteId');
define('SONICX_WEBSITE_SECRET_KEY', 'websiteSecret');
define('OPTIMIZATION_KEY', 'optimization');
define('MOBILE_PLATFORM_KEY', 'mobile');
define('DESKTOP_PLATFORM_KEY', 'desktop');
define('OPTIMIZATION_VERSION_ID_KEY', 'optimizationVersionId');
define('OPTIMIZATION_VERSION_ID_CACHED_KEY', 'optimizationVersionIdCached');
define('OPTIMIZATION_URL_KEY', 'optimizedUrl');
define('URL_KEY', 'url');
define('WEBPAGE_ID_KEY', 'webpageId');
define('PLATFORM_KEY', 'platform');
