<?php

namespace Sonicx\Core\Website;
use http\Exception\RuntimeException;
use PHPMailer\PHPMailer\Exception;
use Sonicx\Core\Storage\Filesystem;
use Sonicx\Core\Context\Context;
use Sonicx\Core\REST\HTTPClient;
use Sonicx\Core\Device\Device;
use Sonicx\Core\Device\DeviceType;

$sonicx_basePath = dirname(__FILE__) . '/../';
require_once $sonicx_basePath . 'includes/constant.php';
require_once $sonicx_basePath . 'includes/filesystem.php';
require_once $sonicx_basePath . 'includes/context.php';
require_once $sonicx_basePath . 'includes/HTTPClient.php';
require_once $sonicx_basePath . 'includes/Device.php';
require_once $sonicx_basePath . 'includes/utility.php';

class Website {

    public function activateWebsite() {
        try {
            $configuration = Context::getContext()->getConfiguration();
            $websiteId = $configuration[SONICX_WEBSITE_ID_KEY];
            $websiteSecret = $configuration[SONICX_WEBSITE_SECRET_KEY];
            $body = [];
            $body = [SONICX_URL_KEY => get_site_url(), SONICX_WEBSITE_ID_KEY => $websiteId, SONICX_WEBSITE_SECRET_KEY => $websiteSecret];
            return HTTPClient::sendPOSTRequest(SONICX_WEBSITE_DEACTIVATE_URL, $body);
        } catch (\Exception $e) {
            return false;
        }
    }

    public function deactivateWebsite() {
        try {
            $configuration = Context::getContext()->getConfiguration();
            $websiteId = $configuration[SONICX_WEBSITE_ID_KEY];
            $websiteSecret = $configuration[SONICX_WEBSITE_SECRET_KEY];
            $body = [];
            $body = [SONICX_WEBSITE_ID_KEY => $websiteId, SONICX_WEBSITE_SECRET_KEY => $websiteSecret];
            return HTTPClient::sendDELETERequest(SONICX_WEBSITE_DEACTIVATE_URL, $body);
        } catch (\Exception $e) {
            return false;
        }
    }

}