jQuery(document).ready(function($) {
    $('.cache-action-progress').hide();
    $(document).on('click', '.cache-purge-action', function (e) {
        e.preventDefault();
        $('.cache-action').hide();
        $('.cache-action-progress').show();
        $.ajax({
            url: invalidate_page_cache_handler.ajaxurl,
            type: 'POST',
            data: {
                'action': 'invalidate_page_cache',
                'url': $(this).attr('url'),
                'activityId': $(this).attr('id'),
                'nonce' : invalidate_page_cache_handler.nonce,
                'cacheCleanActionType': $(this).attr('cache-clean-action-type'),
            },
            dataType: 'json',
            beforeSend: function () {
            },
            success: function (data) {
                $('.cache-action').show();
                $('.cache-action-progress').hide();
                if (data.type == 'error') {
                } else {
                    $('#dashboard-refresh-cache-button').click();
                }
            },
            error: function () {
                $('.cache-action').show();
                $('.cache-action-progress').hide();
            }
        });
    });
    $(document).on('click', '.cache-warmup-action', function (e) {
        e.preventDefault();
        $('.cache-action').hide();
        $('.cache-action-progress').show();
        $.ajax({
            url: warmup_page_cache_handler.ajaxurl,
            type: 'POST',
            data: {
                'action': 'warmup_page_cache',
                'url': $(this).attr('url'),
                'activityId': $(this).attr('id'),
                'nonce' : warmup_page_cache_handler.nonce
            },
            dataType: 'json',
            beforeSend: function () {
            },
            success: function (data) {
                $('.cache-action').show();
                $('.cache-action-progress').hide();
                if (data.type == 'error') {
                } else {
                    $('#dashboard-refresh-cache-button').click();
                }
            },
            error: function () {
                $('.cache-action').show();
                $('.cache-action-progress').hide();
            }
        });
    });
    $(document).on('click', '.cache-synchronize-action', function (e) {
        e.preventDefault();
        $('.cache-action').hide();
        $('.cache-action-progress').show();
        $.ajax({
            url: synchronize_page_cache_handler.ajaxurl,
            type: 'POST',
            data: {
                'action': 'synchronize_page_cache',
                'url': $(this).attr('url'),
                'activityId': $(this).attr('id'),
                'nonce' : synchronize_page_cache_handler.nonce
            },
            dataType: 'json',
            beforeSend: function () {
            },
            success: function (data) {
                $('.cache-action').show();
                $('.cache-action-progress').hide();
                if (data.type == 'error') {
                } else {
                    $('#dashboard-refresh-cache-button').click();
                }
            },
            error: function () {
                $('.cache-action').show();
                $('.cache-action-progress').hide();
            }
        });
    });

});
