<?php
$options = get_option(SX_Leospeed::$sx_option_name);
$websiteId = $options['sx_setting_website_id'];
$websiteSecret = $options['sx_setting_website_secret'];
?>
<input type="text" ng-model="websiteCredentials.websiteId"
       ng-init="websiteCredentials.websiteId= '<?php echo esc_attr($websiteId); ?>'" class="input" ng-hide="true">
<input type="text" ng-model="websiteCredentials.websiteSecret"
       ng-init="websiteCredentials.websiteSecret= '<?php echo esc_attr($websiteSecret); ?>'" class="input"
       ng-hide="true">
<div ng-cloak class="wrap" flex layout="row" layout-align="center center" style="width: 100%">
    <div flex="45">
        <div class="box-content">
            <h4 class="box-title">Optimization</h4>
            <!-- /.box-title -->

            <div style="text-align: center;" class="box-content">
                <h4 style="font-size: 20px;" class="box-title">Optimized Page</h4>
                <!-- /.box-title -->
                <p style="font-size: 50px;">{{getOptimizedWebpages()}}</p>
                <!-- /.dropdown js__dropdown -->
                <p>Last cache purge: <span><b>Never</b></span></p>
                <div style="margin-top: 10px !important;">
                    <button type="button" class="input-button cache-purge-action cache-action"
                            ng-if="!activity.purgeInProgress">Purge Cache
                    </button>
                    <div class="center-align margin-top-10" layout="row" flex layout-align="center center"
                         ng-if="activity.purgeInProgress">
                        <md-progress-circular md-mode="indeterminate"></md-progress-circular>
                    </div>
                </div>
            </div>

        </div>
        <!-- /.box-content -->
    </div>
    <div flex="5"></div>
    <div flex="45">
        <div class="col-lg-6 col-xs-12">
            <div class="box-content">
                <h4 class="box-title">Validation</h4>
                <div style="display: flex" ng-if="accountWebsiteActivity.data.length > 0">
                    <div class="Polaris-Select margin-b-10">
                        <select id="Select56" ng-model="selectedWebpage.url"
                                placeholder="Select sequence"
                                class="Polaris-Select__Input"
                                aria-invalid="false">
                            <option value="{{ webpage.url }}" ng-repeat="webpage in accountWebsiteActivity.data">
                                {{ webpage.url }}
                            </option>
                        </select>
                        <div class="Polaris-Select__Icon"><span class="Polaris-Icon"><svg class="Polaris-Icon__Svg"
                                                                                          viewBox="0 0 20 20"
                                                                                          focusable="false"
                                                                                          aria-hidden="true"><path
                                            d="M13 8l-3-3-3 3h6zm-.1 4L10 14.9 7.1 12h5.8z" fill-rule="evenodd"></path></svg></span>
                        </div>
                        <div class="Polaris-Select__Backdrop"></div>
                    </div>
                </div>
                <div style="display: flex" ng-if="accountWebsiteActivity.data.length === 0">
                    <div class="Polaris-Select margin-b-10">
                        <input type="text" ng-model="selectedWebpage.url" name="search" id="defaut-webpage"
                               class="form-control" placeholder="Your website url"
                               aria-label="Type something, the results are instant." ng-disabled="true"
                               style="width: 300px !important;">
                    </div>
                </div>
                <div layout="row" layout-align="start center" class="margin-b-15" style="display: flex">
                    <div class="Polaris-Select margin-b-10" flex="70">
                        <input type="text" ng-model="apiKey.data" name="search" id="op-search" class="form-control"
                               placeholder="Enter your API Key." aria-label="Type something, the results are instant."
                               style="width: 100% !important;">
                    </div>
                    <div flex="30" layout="row" layout-align="end center">
                        <button type="button" class="input-button" ng-click="validatePerformance()" ng-if="apiKey">
                            TEST
                        </button>
                        <button type="button" class="input-button" disabled ng-if="!apiKey">TEST</button>
                    </div>
                </div>
                <div layout="row" layout-align="start center" class="margin-b-20" style="display: flex">
                    <div flex="30" layout="column">
                        <div><b>Mobile</b></div>
                    </div>
                    <div flex="30" layout="row" layout-align="center center">
                        <div class="metric-box" ng-class="getPerformanceClass(performance.mobile.previous)"
                             ng-if="!performance.mobile.previousInProgress">
                            {{performance.mobile.previous || 'N/A'}}
                        </div>
                        <div class="metric-loader" ng-if="performance.mobile.previousInProgress">
                            <svg id="dots" width="66px" height="29px" viewBox="0 0 66 29" version="1.1"
                                 xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                                 xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
                                <!-- Generator: Sketch 3.5.1 (25234) - http://www.bohemiancoding.com/sketch -->
                                <title></title>
                                <desc></desc>
                                <defs></defs>
                                <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"
                                   sketch:type="MSPage">
                                    <g id="dots" sketch:type="MSArtboardGroup" fill="#A3A3A3">
                                        <circle id="dot1" sketch:type="MSShapeGroup" cx="12" cy="15" r="6"></circle>
                                        <circle id="dot2" sketch:type="MSShapeGroup" cx="32" cy="15" r="6"></circle>
                                        <circle id="dot3" sketch:type="MSShapeGroup" cx="52" cy="15" r="6"></circle>
                                    </g>
                                </g>
                            </svg>
                        </div>
                    </div>
                    <div flex="10" layout="row" layout-align="center center">
                        <md-icon
                                md-svg-src="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/right-arrow.svg'); ?>"></md-icon>
                    </div>
                    <div flex="30" layout="row" layout-align="center center">
                        <div class="metric-box metric-box-green"
                             ng-class="getPerformanceClass(performance.mobile.current)"
                             ng-if="!performance.mobile.currentInProgress">
                            {{performance.mobile.current || 'N/A'}}
                        </div>
                        <div class="metric-loader" ng-if="performance.mobile.currentInProgress">
                            <svg id="dots" width="66px" height="29px" viewBox="0 0 66 29" version="1.1"
                                 xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                                 xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
                                <!-- Generator: Sketch 3.5.1 (25234) - http://www.bohemiancoding.com/sketch -->
                                <title></title>
                                <desc></desc>
                                <defs></defs>
                                <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"
                                   sketch:type="MSPage">
                                    <g id="dots" sketch:type="MSArtboardGroup" fill="#A3A3A3">
                                        <circle id="dot1" sketch:type="MSShapeGroup" cx="12" cy="15" r="6"></circle>
                                        <circle id="dot2" sketch:type="MSShapeGroup" cx="32" cy="15" r="6"></circle>
                                        <circle id="dot3" sketch:type="MSShapeGroup" cx="52" cy="15" r="6"></circle>
                                    </g>
                                </g>
                            </svg>
                        </div>
                    </div>
                </div>
                <div layout="row" layout-align="start center" class="margin-b-5" style="display: flex">
                    <div flex="30" layout="column">
                        <div><b>Desktop</b></div>
                    </div>
                    <div flex="30" layout="row" layout-align="center center">
                        <div class="metric-box metric-box-red"
                             ng-class="getPerformanceClass(performance.desktop.previous)"
                             ng-if="!performance.desktop.previousInProgress">
                            {{performance.desktop.previous || 'N/A'}}
                        </div>
                        <div class="metric-loader" ng-if="performance.desktop.previousInProgress">
                            <svg id="dots" width="66px" height="29px" viewBox="0 0 66 29" version="1.1"
                                 xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                                 xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
                                <!-- Generator: Sketch 3.5.1 (25234) - http://www.bohemiancoding.com/sketch -->
                                <title></title>
                                <desc></desc>
                                <defs></defs>
                                <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"
                                   sketch:type="MSPage">
                                    <g id="dots" sketch:type="MSArtboardGroup" fill="#A3A3A3">
                                        <circle id="dot1" sketch:type="MSShapeGroup" cx="12" cy="15" r="6"></circle>
                                        <circle id="dot2" sketch:type="MSShapeGroup" cx="32" cy="15" r="6"></circle>
                                        <circle id="dot3" sketch:type="MSShapeGroup" cx="52" cy="15" r="6"></circle>
                                    </g>
                                </g>
                            </svg>
                        </div>
                    </div>
                    <div flex="10" layout="row" layout-align="center center">
                        <md-icon
                                md-svg-src="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/right-arrow.svg'); ?>"></md-icon>
                    </div>
                    <div flex="30" layout="row" layout-align="center center">
                        <div class="metric-box metric-box-yellow"
                             ng-class="getPerformanceClass(performance.desktop.current)"
                             ng-if="!performance.desktop.currentInProgress">
                            {{performance.desktop.current || 'N/A'}}
                        </div>
                        <div class="metric-loader" ng-if="performance.desktop.currentInProgress">
                            <svg id="dots" width="66px" height="29px" viewBox="0 0 66 29" version="1.1"
                                 xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                                 xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
                                <!-- Generator: Sketch 3.5.1 (25234) - http://www.bohemiancoding.com/sketch -->
                                <title></title>
                                <desc></desc>
                                <defs></defs>
                                <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"
                                   sketch:type="MSPage">
                                    <g id="dots" sketch:type="MSArtboardGroup" fill="#A3A3A3">
                                        <circle id="dot1" sketch:type="MSShapeGroup" cx="12" cy="15" r="6"></circle>
                                        <circle id="dot2" sketch:type="MSShapeGroup" cx="32" cy="15" r="6"></circle>
                                        <circle id="dot3" sketch:type="MSShapeGroup" cx="52" cy="15" r="6"></circle>
                                    </g>
                                </g>
                            </svg>
                        </div>
                    </div>
                </div>
                <div layout="row" layout-align="start center" class="margin-b-20" style="display: flex">
                    <div flex="30" layout="column">
                    </div>
                    <div flex="30" layout="row" layout-align="center center">
                        <span class="metric-box-tool-tip">(before)</span>
                    </div>
                    <div flex="10" layout="row" layout-align="center center">
                    </div>
                    <div flex="30" layout="row" layout-align="center center">
                        <span class="metric-box-tool-tip">(after)</span>
                    </div>
                </div>
                <div class="margin-t-15">
                    <p><i class="fa fa-info-circle" aria-hidden="true"></i> Please create your API key <a
                                href="https://developers.google.com/speed/docs/insights/v5/get-started" target="_blank">here </a>.
                        There may be issue if you are using any caching system other than {{brand.brand}}.</p>
                </div>
            </div>
        </div>
    </div>
</div>
<div ng-cloak class="wrap" flex layout="row" layout-align="center start" style="width: 100%">
    <div flex="45">
        <div class="box-content">
            <div class="col-lg-6 col-xs-12">
                <div class="box-content">
                    <div layout="row">
                        <div flex="50">
                            <h4 class="box-title">Learn</h4>
                        </div>
                        <div class="right-align" flex="50" layout="row" layout-align="end start">
                            <a href="https://leospeed.io/download" target="_blank">
                                <button type="button" class="input-button ">TUTORIALS</button>
                            </a>
                        </div>
                    </div>
                    <div layout="row" layout-align="center center">
                        <img src="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/resource.png'); ?>"
                             style="height: 270px !important;">
                    </div>
                </div>
            </div>
        </div>
        <!-- /.box-content -->
    </div>
    <div flex="5"></div>
    <div flex="45">
        <div class="col-lg-6 col-xs-12">
            <div class="box-content" style="line-height: 1.5 !important;">
                <div layout="row" style="margin-top: 10px !important;">
                    <div flex="50">
                        <h4 class="box-title">Plans</h4>
                    </div>
                    <div class="right-align" flex="50" layout="row" layout-align="end start">
                        <button type="button" class="input-button  ng-click=" managePlan()">Manage Plan</button>                    </div>
                </div>
                <div layout="row" style="margin-top: 10px !important;">
                    <div flex="50" layout="start" layout-align="start center">
                        Pricing
                    </div>
                    <div flex="50" layout="row" layout-align="end center">
                        ${{websitePlan.payment.price}}
                        <span ng-if="websitePlan.payment.frequency === 'monthly'"> / month</span>
                        <span ng-if="websitePlan.payment.frequency === 'yearly'"> / year</span>
                    </div>
                </div>
                <div layout="row" style="margin-top: 10px !important;">
                    <div flex="50" layout="start" layout-align="start center">
                        Next Reset
                    </div>
                    <div flex="50" layout="row" layout-align="end center">
                        {{ getReadableDate(websitePlan.endDate) || 'N/A'}}
                    </div>
                </div>
                <div layout="row" style="margin-top: 10px !important;">
                    <div flex="50" layout="start" layout-align="start center">
                        Page View
                    </div>
                    <div flex="50" layout="row" layout-align="end center">
                        {{websitePlan.pageView}} / day
                    </div>
                </div>
                <div layout="row" style="margin-top: 10px !important;">
                    <div flex="50" layout="start" layout-align="start center">
                        Storage
                    </div>
                    <div flex="50" layout="row" layout-align="end center">
                        {{websitePlan.storage}} MB
                    </div>
                </div>
                <p style="margin-top: 10px !important;"><i class="fa fa-info-circle" aria-hidden="true"></i> You will be notified if you approach the plan
                    resource limit.</p>
            </div>

            <!-- /#svg-animation-chartist-chart.chartist-chart -->
        </div>
    </div>
</div>
