<?php
$options = get_option( SX_Leospeed::$sx_option_name );
$websiteId = $options['sx_setting_website_id'];
$websiteSecret = $options['sx_setting_website_secret'];
$sonicx_basePath = dirname(__FILE__) . '/../';
require_once $sonicx_basePath . 'includes/constant.php';
?>
<?php
function validateSetup()  {
    checkIfConflictingPluginIsActive();
}
function checkIfConflictingPluginIsActive() {
    $conflictingPlugins = array();
    if (defined('BREEZE_PLUGIN_DIR')) { // Breeze cache plugin
        $conflictingPlugins[] = "Breeze";
    }

    if (defined('WP_ROCKET_VERSION')) { // WP-Rocket
        $conflictingPlugins[] = "WP-Rocket";
    }

    if (defined('W3TC')) { // W3 Total Cache
        $conflictingPlugins[] = "W3 Total Cache";
    }

    if (defined('WPFC_MAIN_PATH')) { // WP Fastest Cache
        $conflictingPlugins[] = "WP Fastest Cache";
    }

    if (defined('PHASTPRESS_VERSION')) { // PhastPress
        $conflictingPlugins[] = "PhastPress";
    }

    if (defined('WPCACHEHOME')) { // WP Super Cache
        $conflictingPlugins[] = "WP Super Cache";
    }

    if (defined('LSCACHE_ADV_CACHE') || defined('LSCWP_DIR')) { // LiteSpeed Cache
        $conflictingPlugins[] = "LiteSpeed Cache";
    }

    if (class_exists('Swift_Performance') || class_exists('Swift_Performance_Lite')) { // Swift Performance
        $conflictingPlugins[] = "Swift Performance";
    }

    if (class_exists('PagespeedNinja')) { // PageSpeed Ninja
        $conflictingPlugins[] = "PageSpeed Ninja";
    }

    if (defined('AUTOPTIMIZE_PLUGIN_VERSION')) { // Autoptimize
        $conflictingPlugins[] = "Autoptimize";
    }

    if (defined('PEGASAAS_ACCELERATOR_VERSION')) { // Pegasaas Accelerator WP
        $conflictingPlugins[] = "Pegasaas Accelerator WP";
    }

    if (defined('WPHB_VERSION')) { // Hummingbird
        $conflictingPlugins[] = "Hummingbird";
    }

    if (defined('WP_SMUSH_VERSION')) { // Smush by WPMU DEV
        if (class_exists('Smush\\Core\\Settings') && defined('WP_SMUSH_PREFIX')) {
            $smushLazy = Smush\Core\Settings::get_instance()->get( 'lazy_load' );
            if ($smushLazy) {
                $conflictingPlugins[] = "Smush Lazy Load";
            }
        } else {
            $conflictingPlugins[] = "Smush";
        }
    }

    if (defined('COMET_CACHE_PLUGIN_FILE')) { // Comet Cache by WP Sharks
        $conflictingPlugins[] = "Comet Cache";
    }

    if (defined('WPO_VERSION') && class_exists('WPO_Cache_Config')) { // WP Optimize
        $wpo_cache_config = WPO_Cache_Config::instance();
        if ($wpo_cache_config->get_option('enable_page_caching', false)) {
            $conflictingPlugins[] = "WP Optimize page caching";
        }
    }

    return $conflictingPlugins;
}
validateSetup();
?>
<?php if(!empty(checkIfConflictingPluginIsActive())) : ?>
    <div ng-cloak class="wrap notification-content-alert-view" flex layout="row" layout-align="center center" style="width: 100% !important;">
        <div flex="5" layout="row" layout-align="start center">
            <img class="notification-content-alert-view-icon" src="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/danger.png'); ?>">
        </div>
        <div flex="95" layout="row" layout-align="start center">
            Conflicting plugins are active: <?php echo implode(', ', checkIfConflictingPluginIsActive()); ?>
            <br>It is advised that they are disabled for proper functioning. Please contact support for more information.
        </div>
    </div>
<?php endif; ?>

