<?php
$options = get_option(SX_Leospeed::$sx_option_name);
$websiteId = $options['sx_setting_website_id'];
$websiteSecret = $options['sx_setting_website_secret'];
?>
<div ng-cloak class="wrap admin-setting-content-view" flex layout="row" layout-align="center center">
    <input type="text" ng-model="websiteCredentials.websiteId"
           ng-init="websiteCredentials.websiteId= '<?php echo esc_attr($websiteId); ?>'" class="input" ng-hide="true">
    <input type="text" ng-model="websiteCredentials.websiteSecret"
           ng-init="websiteCredentials.websiteSecret= '<?php echo esc_attr($websiteSecret); ?>'" class="input" ng-hide="true">
    <div flex="100" layout="column">
        <div layout="row" layout-align="start center" style="margin: 15px 0px 25px 0px">
            <div flex="30" class="optimization-content">
                <h2>Webpage URL</h2>
            </div>
            <div flex="70" layout="row" layout-align="end center" ng-if="!progress.dashboard.processing">
                <button type="button" class="input-button cache-synchronize-action cache-action" cache-clean-action-type="synchronize" ng-if="false">SYNCHRONIZE</button>
                <div style="margin: 0 5px !important;" ng-if="false"></div>
                <button type="button" id="dashboard-refresh-cache-button" class="input-button cache-action" ng-click="getWebsiteActivity()">REFRESH</button>
                <div style="margin: 0 5px !important;"></div>
                <button type="button" class="input-button cache-warmup-action cache-action">WARMUP</button>
                <div style="margin: 0 5px !important;"></div>
                <button type="button" class="input-button cache-purge-action cache-action" cache-clean-action-type="global">PURGE ALL</button>
                <div style="margin: 0 5px !important;"></div>
                <button type="button" class="input-button cache-purge-action cache-action" cache-clean-action-type="local">PURGE LOCAL</button>
            </div>
            <div flex="25" layout="row" class="cache-action-progress" style="display: none" layout-align="end center">
                <md-progress-circular md-mode="indeterminate" md-diameter="30px"></md-progress-circular>
            </div>
            <div flex="25" layout="row" layout-align="end center" ng-if="progress.dashboard.processing">
                <md-progress-circular md-mode="indeterminate" md-diameter="30px"></md-progress-circular>
            </div>
        </div>
        <div layout="row" layout-align="start center" class="margin-bottom-10">
            <div flex="70">
                <input style="width: 80% !important;" type="text" ng-model="search.dashboard.url" name="search"
                       id="op-search" class="form-control" placeholder="Type something, the results are instant."
                       aria-label="Type something, the results are instant.">
            </div>
            <div flex="30" layout="row" layout-align="end center">
                <div layout="row">
                    <div layout="row" class="pagination-handler">
                        <div flex="10" class="pagination-handler-navigator remove-focus" layout="row"
                             layout-align="center center" ng-click="previousPage('optimization')">
                            <md-icon md-svg-src="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/left-arrow.svg'); ?>"
                                     class="pagination-handler-navigator-icon"></md-icon>
                        </div>
                        <div flex="80" class="pagination-handler-selector" layout="row" layout-align="start center">
                            <div class="Polaris-Select private-license-input-details" style="width: 75px">
                                <select id="Select56" ng-model="pagination.optimization.currentPage"
                                        placeholder="Price Type"
                                        class="Polaris-Select__Input"
                                        aria-invalid="false">
                                    <option value="{{ pageNumber.value }}"
                                            ng-repeat="pageNumber in pagination.optimization.pageNumbers">
                                        {{ pageNumber.label }}
                                    </option>
                                </select>
                                <div class="Polaris-Select__Icon"><span class="Polaris-Icon"><svg
                                                class="Polaris-Icon__Svg"
                                                viewBox="0 0 20 20"
                                                focusable="false"
                                                aria-hidden="true"><path
                                                    d="M13 8l-3-3-3 3h6zm-.1 4L10 14.9 7.1 12h5.8z"
                                                    fill-rule="evenodd"></path></svg></span>
                                </div>
                                <div class="Polaris-Select__Backdrop"></div>
                            </div>
                        </div>
                        <div flex="10" class="pagination-handler-navigator remove-focus" layout="row"
                             layout-align="center center" ng-click="nextPage('optimization')">
                            <md-icon
                                    md-svg-src="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/right-arrow.svg'); ?>"
                                    class="pagination-handler-navigator-icon"></md-icon>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div layout="row" class="margin-bottom-10"
             ng-repeat="webpage in accountWebsiteActivity.data | filter:search.dashboard.url | startFrom:(pagination.optimization.currentPage - 1)*pagination.optimization.pageSize | limitTo:pagination.optimization.pageSize">
            <div flex="60" class="optimization-content">{{webpage.url}}</div>
            <div flex="20" class="optimization-content">
                {{getDisplayDate(webpage.optimization.desktop.activityTime);}}
            </div>
            <div flex="20" layout="row" layout-align="end center">
                <div class="platform-status-icon" ng-if="webpage.optimization.desktop.status === 'optimization_complete'">
                    <md-icon md-svg-icon="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/desktop-view.svg'); ?>" class="cache-view-action cache-action" ng-click="viewWebpage(webpage.url)" ng-if="!progress.dashboard.processing"></md-icon>
                </div>
                <div class="platform-status-icon" ng-if="webpage.optimization.mobile.status === 'optimization_complete'">
                    <md-icon md-svg-icon="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/mobile-view.svg'); ?>" class="cache-view-action cache-action" ng-click="viewWebpage(webpage.url)" ng-if="!progress.dashboard.processing"></md-icon>
                </div>
                <div class="platform-icon-progress" ng-if="webpage.optimization.desktop.status === 'optimization_in_progress'">
                    <md-icon md-svg-icon="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/desktop-view.svg'); ?>" class="cache-view-action cache-action blink" ng-if="!progress.dashboard.processing"></md-icon>
                </div>
                <div class="platform-icon-progress" ng-if="webpage.optimization.mobile.status === 'optimization_in_progress'">
                    <md-icon md-svg-icon="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/mobile-view.svg'); ?>" class="cache-view-action cache-action blink" ng-if="!progress.dashboard.processing"></md-icon>
                </div>
                <div class="platform-warmup-icon">
                    <md-icon id="{{webpage.webpageId}}" url="{{webpage.url}}" class="cache-warmup-action cache-action" ng-if="!progress.dashboard.processing"
                             md-svg-icon="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/warmup.svg'); ?>"></md-icon>
                </div>
                <div class="platform-alert-icon">
                    <md-icon id="{{webpage.webpageId}}" url="{{webpage.url}}", cache-clean-action-type="global" class="cache-purge-action cache-action" ng-if="!progress.dashboard.processing"
                             md-svg-icon="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/delete.svg'); ?>"></md-icon>
                </div>
            </div>
        </div>
    </div>
</div>
