<?php
$options = get_option(SX_Leospeed::$sx_option_name);
$websiteId = $options['sx_setting_website_id'];
$websiteSecret = $options['sx_setting_website_secret'];
?>
<script>
    (function () {
        'use strict';

        angular
            .module('container', ['ngMaterial'])
            .filter('startFrom', function () {
                return function (input, start) {
                    start = +start;
                    return input.slice(start);
                }
            })
            .controller("ContainerController", ContainerController);

        ContainerController.$inject = ['$scope', '$http', '$window'];

        function ContainerController($scope, $http, $window) {

            $scope.navigation = {
                options: {
                    dashboard: {
                        id: "dashboard",
                        label: "Dashboard"
                    },
                    optimization: {
                        id: "optimization",
                        label: "Cache"
                    },
                    settings: {
                        id: "settings",
                        label: "Settings"
                    }
                },
                selectedItem: null
            };
            $scope.navigation = {
                options: {
                    dashboard: {
                        id: "dashboard",
                        label: "Dashboard"
                    },
                    optimization: {
                        id: "optimization",
                        label: "Cache"
                    },
                    settings: {
                        id: "settings",
                        label: "Settings"
                    }
                },
                selectedItem: null
            }
            $scope.pagination = {
                optimization: {
                    id: "optimization",
                    totalElement: 0,
                    currentPage: "1",
                    totalPage: 1,
                    pageSize: 20,
                    pageNumbers: []
                }
            };
            $scope.search = {
                dashboard: {
                    url: null
                }
            };
            $scope.progress = {
                dashboard: {
                    processing: false
                }
            }
            $scope.performance = {
                desktop: {
                    previous: null,
                    previousInProgress: false,
                    current: null,
                    currentInProgress: false
                },
                mobile: {
                    previous: null,
                    previousInProgress: false,
                    current: null,
                    currentInProgress: false
                }
            };
            $scope.websitePlan = {
                payment: {
                    price: null,
                    currency: null,
                    frequency: null
                },
                endDate: null,
                pageView: null,
                storage: null,
            };
            $scope.input = {
                excludedUrl: null,
                sitemapUrl: null,
                includedUrl: null,
                ignoredParameter: null,
                excludedCookie: null,
                recordType: null,
                recordValue: null
            };
            $scope.accountWebsite = {
                websiteId: null,
                websiteSecret: null,
                name: null,
                url: null,
                sitemapUrls: null,
                excludedUrls: null,
                includedUrls: null,
                excludedCookies: null,
                excludedParameters: null,
                host: null,
                websiteOptimizationConfiguration: null
            };

            $scope.navigation.selectedItem = $scope.navigation.options.dashboard;
            $scope.searchText = "";
            $scope.apiKey = {
                data: localStorage.getItem("performance")
            };
            $scope.selectedWebpage = {
                url: null
            };
            $scope.pageSpeedInsightURL = "https://www.googleapis.com/pagespeedonline/v5/runPagespeed";


            $scope.selectNavigationItem = function (navigationItem) {
                $scope.navigation.selectedItem = navigationItem;
            }

            $scope.saveSecret = function (key, value) {
                localStorage.setItem(key, value);
            }

            $scope.websiteCredentials = {
                websiteId: '<?php echo esc_attr($websiteId); ?>',
                websiteSecret: '<?php echo esc_attr($websiteSecret); ?>'
            };

            $scope.purgeStatus = {
                inProgress: false,
                isFailed: false,
                message: null
            }

            $scope.websiteActivityStatus = {
                optimization_complete: "Complete",
                optimization_failed: "Failed",
                optimization_in_progress: "Progress"
            };

            $scope.accountWebsiteActivity = {
                data: []
            };

            $scope.uuidv4 = function () {
                return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
                    var r = Math.random() * 16 | 0, v = c == 'x' ? r : (r & 0x3 | 0x8);
                    return v.toString(16);
                });
            }
            $scope.getWebsiteActivity = function () {
                $scope.progress.dashboard.processing = true;
                $http({
                    method: "GET",
                    url: '<?php echo esc_url(SONICX_WEBPAGE_URL); ?>',
                    params: {
                        websiteId: $scope.websiteCredentials.websiteId,
                        websiteSecret: $scope.websiteCredentials.websiteSecret
                    }
                }).then(function (response, status) {
                    $scope.accountWebsiteActivity.data = response.data.data;
                    $scope.progress.dashboard.processing = false;
                    $scope.initializePagination('optimization', $scope.accountWebsiteActivity.data.length, $scope.pagination.optimization.pageSize);
                }, function (response, status) {
                    $scope.progress.dashboard.processing = false;
                });
            }

            setTimeout(function () {
                $scope.getWebsiteActivity();
            }, 2000);
            $scope.getDisplayDate = function (timestamp) {
                const d = new Date(timestamp);
                let month = '' + (d.getMonth() + 1),
                    day = '' + d.getDate(),
                    year = d.getFullYear();

                if (month.length < 2)
                    month = '0' + month;
                if (day.length < 2)
                    day = '0' + day;

                return [year, month, day].join('-');
            }

            function getPageNumbers(totalPage) {
                let pageNumbers = [];
                for (let i = 0; i < totalPage; i++) {
                    let currentPage = i + 1;
                    pageNumbers.push({
                        label: currentPage.toString(),
                        value: currentPage.toString()
                    });
                }
                return pageNumbers;
            }

            $scope.getOptimizedWebpages = function () {
                let count = 0;
                $scope.accountWebsiteActivity.data.forEach(function (element, index, array) {
                    if (element.optimization.desktop.status === "optimization_complete" && element.optimization.mobile.status === "optimization_complete")
                        count++;
                });
                return count;
            }

            $scope.previousPage = function (elementId) {
                if (parseInt($scope.pagination[elementId].currentPage) > 1) {
                    $scope.pagination[elementId].currentPage = (parseInt($scope.pagination[elementId].currentPage) - 1).toString();
                }
            };

            $scope.nextPage = function (elementId) {
                if (parseInt($scope.pagination[elementId].currentPage) < parseInt($scope.pagination[elementId].totalPage)) {
                    $scope.pagination[elementId].currentPage = (parseInt($scope.pagination[elementId].currentPage) + 1).toString();
                }
            };

            $scope.initializePagination = function (elementId, totalElement, pageSize) {
                $scope.pagination[elementId].totalElement = totalElement;
                $scope.pagination[elementId].pageSize = pageSize;
                $scope.pagination[elementId].totalPage = Math.ceil($scope.pagination[elementId].totalElement / $scope.pagination[elementId].pageSize);
                $scope.pagination[elementId].pageNumbers = getPageNumbers($scope.pagination[elementId].totalPage);
            }

            $scope.viewWebpage = function (url) {
                $window.open(url, "_blank");
            };

            $scope.measurePerformance = function (url, apiKey, strategy, additionalCallback) {
                let successCallback = function (response, status) {
                    typeof additionalCallback === 'function' && additionalCallback(response.data.lighthouseResult.categories.performance);
                };
                let errorCallback = function (response) {
                    typeof additionalCallback === 'function' && additionalCallback();
                };
                UNSECURE_GET($scope.pageSpeedInsightURL, {
                    url: url,
                    key: apiKey,
                    strategy: strategy
                }, successCallback, errorCallback);
            }


            $scope.validatePerformance = function () {
                if ($scope.selectedWebpage.url) {
                    const previousUrl = $scope.selectedWebpage.url + "?xSonicxRequest=true";
                    $scope.performance.desktop.currentInProgress = true;
                    $scope.performance.desktop.previousInProgress = true;
                    $scope.performance.mobile.currentInProgress = true;
                    $scope.performance.mobile.previousInProgress = true;
                    const desktop = "desktop";
                    const mobile = "mobile";
                    $scope.saveSecret("performance", $scope.apiKey.data);
                    $scope.measurePerformance(previousUrl, $scope.apiKey.data, desktop, function (performanceData) {
                        $scope.performance.desktop.previousInProgress = false;
                        $scope.performance.desktop.previous = performanceData.score;
                    }, function () {
                        $scope.performance.desktop.previousInProgress = false;
                    });
                    $scope.measurePerformance($scope.selectedWebpage.url, $scope.apiKey.data, desktop, function (performanceData) {
                        $scope.performance.desktop.currentInProgress = false;
                        $scope.performance.desktop.current = performanceData.score;
                    }, function () {
                        $scope.performance.desktop.currentInProgress = false;
                    });
                    $scope.measurePerformance(previousUrl, $scope.apiKey.data, mobile, function (performanceData) {
                        $scope.performance.mobile.previousInProgress = false;
                        $scope.performance.mobile.previous = performanceData.score;
                    }, function () {
                        $scope.performance.mobile.previousInProgress = false;
                    });
                    $scope.measurePerformance($scope.selectedWebpage.url, $scope.apiKey.data, mobile, function (performanceData) {
                        $scope.performance.mobile.currentInProgress = false;
                        $scope.performance.mobile.current = performanceData.score;
                    }, function () {
                        $scope.performance.mobile.currentInProgress = false;
                    });
                }
            }

            $scope.getPerformanceClass = function (score) {
                if (score === null) {
                    return "metric-box-na";
                } else if (score < 0.50) {
                    return "metric-box-red";
                } else if (score < 0.90) {
                    return "metric-box-yellow";
                } else {
                    return "metric-box-green";
                }
            }

            $scope.getWebsitePlan = function () {
                $scope.progress.dashboard.processing = true;
                $http({
                    method: "GET",
                    url: '<?php echo esc_url(SONICX_WEBSITE_PLAN_URL); ?>',
                    params: {
                        websiteId: $scope.websiteCredentials.websiteId,
                        websiteSecret: $scope.websiteCredentials.websiteSecret
                    }
                }).then(function (response, status) {
                    $scope.progress.dashboard.processing = false;
                    $scope.websitePlan.payment = {
                        price: response.data.data.plan.payment.price,
                        currency: response.data.data.plan.payment.currency,
                        frequency: response.data.data.plan.payment.frequency
                    }
                    $scope.websitePlan.endDate = response.data.data.endDate;
                    $scope.websitePlan.pageView = response.data.data.plan.feature.pageView.count;
                    $scope.websitePlan.storage = response.data.data.plan.feature.storage.count;
                }, function (response, status) {
                    $scope.progress.dashboard.processing = false;
                });
            }
            $scope.getWebsitePlan();

            $scope.getReadableDate = function (timestamp) {
                if (timestamp) {
                    return new Date(timestamp).toLocaleDateString();
                }
                return "N/A";
            };

            $scope.addAsset = function (assetType, actionType, asset) {
                const index = $scope.accountWebsite[assetType][actionType].indexOf($scope.input[asset]);
                if (index === -1) {
                    $scope.accountWebsite[assetType][actionType].push($scope.input[asset]);
                    $scope.input[asset] = null;
                }
            };

            $scope.removeAsset = function (assetType, actionType, asset) {
                const index = $scope.accountWebsite[assetType][actionType].indexOf(asset);
                if (index !== -1) {
                    $scope.accountWebsite[assetType][actionType].splice(index, 1);
                }
            };

            $scope.addExcludedUrl = function () {
                const index = $scope.accountWebsite.excludedUrls.excluded.indexOf($scope.input.excludedUrl);
                if (index === -1) {
                    $scope.accountWebsite.excludedUrls.excluded.push($scope.input.excludedUrl);
                }
                $scope.input.excludedUrl = null;
            };

            $scope.removeExcludedUrl = function (excludedUrl) {
                const index = $scope.accountWebsite.excludedUrls.excluded.indexOf(excludedUrl);
                if (index !== -1) {
                    $scope.accountWebsite.excludedUrls.excluded.splice(excludedUrl, 1);
                }
            };

            $scope.addIgnoredParameter = function () {
                const index = $scope.accountWebsite.excludedParameters.excluded.indexOf($scope.input.ignoredParameter);
                if (index === -1) {
                    $scope.accountWebsite.excludedParameters.excluded.push($scope.input.ignoredParameter);
                }
                $scope.input.ignoredParameter = null;
            };

            $scope.removeIgnoredParameter = function (ignoredParameter) {
                const index = $scope.accountWebsite.excludedParameters.excluded.indexOf(ignoredParameter);
                if (index !== -1) {
                    $scope.accountWebsite.excludedParameters.excluded.splice(ignoredParameter, 1);
                }
            };

            $scope.refreshAccountWebsite = function () {
                const additionalCallback = function (response) {
                    const result = response.data.data;
                    $scope.accountWebsite.websiteId = result.websiteId;
                    $scope.accountWebsite.websiteSecret = result.websiteSecret;
                    $scope.accountWebsite.name = result.name;
                    $scope.accountWebsite.url = result.url;
                    $scope.accountWebsite.sitemapUrls = result.sitemapUrls;
                    $scope.accountWebsite.excludedUrls = result.excludedUrls;
                    $scope.accountWebsite.includedUrls = result.includedUrls;
                    $scope.accountWebsite.excludedCookies = result.excludedCookies;
                    $scope.accountWebsite.excludedParameters = result.excludedParameters;
                    $scope.accountWebsite.host = result.host;
                    $scope.accountWebsite.websiteOptimizationConfiguration = result.websiteOptimizationConfiguration;
                };
                GET('<?php echo esc_url(SONICX_WEBSITE_URL); ?>' + $scope.websiteCredentials.websiteId, {accountId: null, websiteSecret: $scope.websiteCredentials.websiteSecret}, additionalCallback, function () {});
            }

            $scope.manageSettings = function() {
                let url = "https://leospeed.io/settings";
                $window.open(url, "_blank");
            }

            $scope.refreshAccountWebsite();

            $scope.saveWebsite = function () {
            }

            //    ============================== Private Functions =====================================  //

            function UNSECURE_GET(url, params, successCallback, errorCallback) {
                var httpRequest = {
                    method: "GET",
                    url: url,
                    params: params
                };
                $http(httpRequest).then(function success(response, status) {
                    typeof successCallback === 'function' && successCallback(response, status);
                }, function error(response, status) {
                    typeof errorCallback === 'function' && errorCallback(response, status);
                });
            }

            function GET(url, params, successCallback, errorCallback) {
                const httpRequest = {
                    method: "GET",
                    url: url,
                    headers: {
                        Authentication : null
                    },
                    params: params,
                    timeout: 100 * 1000
                };
                $http(httpRequest).then(function success(response, status) {
                    typeof successCallback === 'function' && successCallback(response, status);
                }, function error(response, status) {
                    if (response.status === 403) {
                    } else {
                        typeof errorCallback === 'function' && errorCallback(response, status);
                    }
                });
            }

        }
    })();

</script>

