<?php
$options = get_option(SX_Leospeed::$sx_option_name);
$websiteId = $options['sx_setting_website_id'];
$websiteSecret = $options['sx_setting_website_secret'];
?>
<div ng-cloak class="wrap" flex layout="column" layout-align="center start" style="width: 100%">
    <div class="box-content" style="width: 100%">
        <div layout="row" layout-align="start center">
            <div flex="70">
                <h4 class="box-title">Click 'Manage Settings' to update your settings.</h4>
            </div>
            <div layout="row" layout-align="end center" flex="30" class="right-align" ng-if="!isProcessing">
                <div flex="30" class="right-align">
                </div>
                <div flex="5"></div>
                <button type="button" class="input-button" ng-click="manageSettings()" style="margin-right: 20px">Manage Settings</button>
            </div>
            <div flex="30" class="right-align" layout="row" flex layout-align="end center" ng-if="isProcessing">
                <md-progress-circular md-mode="indeterminate"></md-progress-circular>
            </div>
        </div>
    </div>
    <div class="box-content" style="width: 100%">
        <div flex layout="row" >
            <div flex="30">
                <h4 class="box-title">Sitemap URLs</h4>
                <div>
                    Specify a list of sitemap URLs that you wish to optimize.
                </div>
                <div>
                    <div class="switch"><input type="checkbox" ng-model="accountWebsite.sitemapUrls.enabled" id="sitemap-url"><label for="sitemap-url"></label></div>
                </div>
            </div>
            <div flex="5"></div>
            <div flex="80" layout="row">
                <div class="Polaris-Select margin-b-10" style="width: 100% !important;">
                    <input type="text" ng-model="input.sitemapUrl" name="search" id="defaut-webpage"
                           class="form-control" placeholder="Your website url"
                           aria-label="Type something, the results are instant."
                           style="min-width: 98% !important; max-width: 98% !important;">
                </div>
                <div flex="5"></div>
                <div flex="15">
                    <button type="button" class="input-button" ng-click="addAsset('sitemapUrls', 'included', 'sitemapUrl')">Include</button>
                </div>
            </div>
        </div>
        <div flex layout="row" layout-align="end center">
            <div layout="row" class="margin-top-10" layout-wrap layout-align="end center">
                <div layout="row" class="add-tag-action" ng-repeat="includedUrl in accountWebsite.sitemapUrls.included">
                    <div class="add-tag-action-label remove-focus">
                        {{ includedUrl }}
                    </div>
                    <div layout="row" layout-align="center center" class="add-tag-action-button remove-focus" ng-click="removeAsset('sitemapUrls', 'included', includedUrl)">
                        <md-icon md-svg-icon="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/delete.svg'); ?>"></md-icon>
                    </div>
                </div>
            </div>
        </div>
        <div flex layout="row" style="margin: 20px 0px !important;">
            <div flex="30">
                <h4 class="box-title">Included URLs</h4>
                <div>
                    Specify a list of included URLs you would like to be optimized only.
                </div>
                <div>
                    <div class="switch"><input type="checkbox" ng-model="accountWebsite.includedUrls.enabled" id="included-url"><label for="included-url"></label></div>
                </div>
            </div>
            <div flex="5"></div>
            <div flex="80" layout="row">
                <div class="Polaris-Select margin-b-10" style="width: 100% !important;">
                    <input type="text" ng-model="input.includedUrl" name="search" id="defaut-webpage"
                           class="form-control" placeholder="Your website url"
                           aria-label="Type something, the results are instant."
                           style="min-width: 98% !important; max-width: 98% !important;">
                </div>
                <div flex="5"></div>
                <div flex="15">
                    <button type="button" class="input-button" ng-click="addAsset('includedUrls', 'included', 'includedUrl')">Include</button>
                </div>
            </div>
        </div>
        <div flex layout="row" layout-align="end center">
            <div layout="row" class="margin-top-10" layout-wrap layout-align="end center">
                <div layout="row" class="add-tag-action" ng-repeat="includedUrl in accountWebsite.includedUrls.included">
                    <div class="add-tag-action-label remove-focus">
                        {{ includedUrl }}
                    </div>
                    <div layout="row" layout-align="center center" class="add-tag-action-button remove-focus" ng-click="removeAsset('includedUrls', 'included', includedUrl)">
                        <md-icon md-svg-icon="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/delete.svg'); ?>"></md-icon>
                    </div>
                </div>
            </div>
        </div>
        <div flex layout="row" style="margin: 20px 0px !important;">
            <div flex="30">
                <h4 class="box-title">Excluded URLs</h4>
                <div>
                    Specify a list of excluded URLs you would not like to be optimized.
                </div>
                <div>
                    <div class="switch"><input type="checkbox" ng-model="accountWebsite.excludedUrls.enabled" id="excluded-url"><label for="excluded-url"></label></div>
                </div>
            </div>
            <div flex="5"></div>
            <div flex="80" layout="row">
                <div class="Polaris-Select margin-b-10" style="width: 100% !important;">
                    <input type="text" ng-model="input.excludedUrl" name="search" id="defaut-webpage"
                           class="form-control" placeholder="Your website url"
                           aria-label="Type something, the results are instant."
                           style="min-width: 98% !important; max-width: 98% !important;">
                </div>
                <div flex="5"></div>
                <div flex="15">
                    <button type="button" class="input-button" ng-click="addExcludedUrl()">Exclude</button>
                </div>
            </div>
        </div>
        <div flex layout="row" layout-align="end center">
            <div layout="row" class="margin-top-10" layout-wrap layout-align="end center">
                <div layout="row" class="add-tag-action" ng-repeat="includedUrl in accountWebsite.excludedUrls.excluded">
                    <div class="add-tag-action-label remove-focus">
                        {{ includedUrl }}
                    </div>
                    <div layout="row" layout-align="center center" class="add-tag-action-button remove-focus" ng-click="removeExcludedUrl(excludedUrl)">
                        <md-icon md-svg-icon="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/delete.svg'); ?>"></md-icon>
                    </div>
                </div>
            </div>
        </div>
        <div flex layout="row" style="margin: 20px 0px !important;">
            <div flex="30">
                <h4 class="box-title">Ignored Parameters</h4>
                <div>
                    Specify a list of URL parameters that do not modify the page content and can be ignored.
                </div>
                <div>
                    <div class="switch"><input type="checkbox" ng-model="accountWebsite.excludedParameters.enabled" id="excluded-parameter"><label for="excluded-parameter"></label></div>
                </div>
            </div>
            <div flex="5"></div>
            <div flex="80" layout="row">
                <div class="Polaris-Select margin-b-10" style="width: 100% !important;">
                    <input type="text" ng-model="input.ignoredParameter" name="search" id="defaut-webpage"
                           class="form-control" placeholder="Your website url"
                           aria-label="Type something, the results are instant."
                           style="min-width: 98% !important; max-width: 98% !important;">
                </div>
                <div flex="5"></div>
                <div flex="15">
                    <button type="button" class="input-button" ng-click="addIgnoredParameter()">Add</button>
                </div>
            </div>
        </div>
        <div flex layout="row" layout-align="end center">
            <div layout="row" class="margin-top-10" layout-wrap layout-align="end center">
                <div layout="row" class="add-tag-action" ng-repeat="ignoredParameter in accountWebsite.excludedParameters.excluded">
                    <div class="add-tag-action-label remove-focus">
                        {{ ignoredParameter }}
                    </div>
                    <div layout="row" layout-align="center center" class="add-tag-action-button remove-focus" ng-click="removeIgnoredParameter(ignoredParameter)">
                        <md-icon md-svg-icon="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/delete.svg'); ?>"></md-icon>
                    </div>
                </div>
            </div>
        </div>
        <div flex layout="row" style="margin: 20px 0px !important;">
            <div flex="30">
                <h4 class="box-title">Ignored Cookies</h4>
                <div>
                    Specify a list of cookies that do not modify the page content and can be ignored.
                </div>
                <div>
                    <div class="switch"><input type="checkbox" ng-model="accountWebsite.excludedCookies.enabled" id="excluded-cookie"><label for="excluded-cookie"></label></div>
                </div>
            </div>
            <div flex="5"></div>
            <div flex="80" layout="row">
                <div class="Polaris-Select margin-b-10" style="width: 100% !important;">
                    <input type="text" ng-model="input.excludedCookie" name="search" id="defaut-webpage"
                           class="form-control" placeholder="Your website url"
                           aria-label="Type something, the results are instant."
                           style="min-width: 98% !important; max-width: 98% !important;">
                </div>
                <div flex="5"></div>
                <div flex="15">
                    <button type="button" class="input-button" ng-click="addAsset('excludedCookies', 'excluded', 'excludedCookie')">Add</button>
                </div>
            </div>
        </div>
        <div flex layout="row" layout-align="end center">
            <div layout="row" class="margin-top-10" layout-wrap layout-align="end center">
                <div layout="row" class="add-tag-action" ng-repeat="excludedCookie in accountWebsite.excludedCookies.excluded">
                    <div class="add-tag-action-label remove-focus">
                        {{ excludedCookie }}
                    </div>
                    <div layout="row" layout-align="center center" class="add-tag-action-button remove-focus" ng-click="removeAsset('excludedCookies', 'excluded', excludedCookie)">
                        <md-icon md-svg-icon="<?php echo esc_url(SX_Leospeed::$plugin_url . 'public/images/delete.svg'); ?>"></md-icon>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
